Search entries that are returned by queries using paginated results and sorting.
Search
Get Application Data
get /enroll/search
Get application data for all applications created using the authenticated client key. Results are returned in descending order of the application’s creation timestamp. Users can optionally pass query parameters to assist when navigating the results. For example, if a user has created 30 applications and wishes to view applications 21 to 30, set pageSize to 10 and pageNumber to 3.
The following is an example of a URL with the pageNumber, pageSize, and findBy query parameters:
https://boarding-api.paymentshub.com/enroll/search?pageNumber=3&pageSize=10&findBy=byAgent:12345,submission:open
Parameters
pageNumber
Type
integerDefault
1Range
1 to 999999999999999Example
pageNumber=3Loading...
pageSize
Type
integerDefault
100Range
1 to 100Example
pageSize=10Loading...
findBy
Type
stringExample
findBy=byAgent:12345,submission:openLoading...
Example Response
200 Successful search results with non-empty data result.
400 Bad Request response for JSON search complete application.
403 Forbidden response.
500 Internal Server Error response.